﻿$tools = Split-Path $MyInvocation.MyCommand.Definition
$package = Split-Path $tools
$jbang_home = Join-Path $package 'jbang-0.16.2'
$jbang_bat = Join-Path $jbang_home 'bin/jbang.bat'

Install-ChocolateyZipPackage `
    -PackageName 'jbang' `
    -Url 'https://github.com/maxandersen/jbang/releases/download/v0.16.2/jbang-0.16.2.zip' `
    -Checksum 'a339a6a47d6d3209e8379b66e9bccfe8b55126290cf1588e3a1e2b8d2f1cb3d2' `
    -ChecksumType 'sha256' `
    -UnzipLocation $package

Install-BinFile -Name 'jbang' -Path $jbang_bat